/* -*- mode:prolog; -*-
 ******************************************************************
 * $Id$
 * Copyright (C) 2008 by INRIA 
 * Author: Eric de la Clergerie <Eric.De_La_Clergerie@inria.fr>
 * ----------------------------------------------------------------
 *
 *  numbers.fst -- FST pour les nombres en lettres / nombres en chiffre
 *
 * ----------------------------------------------------------------
 * Description
 * 
 * ----------------------------------------------------------------
 */

init_state(numbers,0).
final_state(numbers,5).

trans(numbers,0,1,
      srange([deux:2,trois:3,quatre:4,cinq:5,six:6,sept:7,huit:8,neuf:9])).
trans(numbers,0,1,true:c(1)).
trans(numbers,1,2,c(cent):true).
trans(numbers,1,9,c(cent):true).
trans(numbers,0,8,true:true).
trans(numbers,0,9,true:true).
trans(numbers,9,3,srange([vingt:2,trente:3,quarante:4,cinquante:5,soixante:6,'quatre-vingt':8])).
trans(numbers,3,4,c(et):true).
trans(numbers,4,5,c(un):c(1)).
trans(numbers,3,5,srange([deux:2,trois:3,quatre:4,cinq:5,six:6,sept:7,huit:8,neuf:9])).
trans(numbers,3,5,true:c(0)).
trans(numbers,9,6,srange([soixante:7,'quatre-vingt':9])).
trans(numbers,9,6,true:c(1)).
trans(numbers,6,7,c(dix):true).
trans(numbers,7,5,srange([sept:7,huit:8,neuf:9])).
trans(numbers,7,5,true:c(0)).
trans(numbers,6,5,srange([onze:1,douze:2,treize:3,quatorze:4,quinze:5,seize:6])).

trans(numbers,2,8,true:c(0)).
trans(numbers,8,5,srange([un:1,deux:2,trois:3,quatre:4,cinq:5,six:6,sept:7,huit:8,neuf:9])).
trans(numbers,8,5,true:c(0)).

